Index: /code/branches/FICN/src/audio/AudioManager.cc
===================================================================
--- /code/branches/FICN/src/audio/AudioManager.cc	(revision 559)
+++ /code/branches/FICN/src/audio/AudioManager.cc	(revision 560)
@@ -27,6 +27,5 @@
 
 #include "AudioManager.h"
-
-
+#include "../orxonox/core/Debug.h"
 
 namespace audio
@@ -61,5 +60,5 @@
 			else
 			{
-				std::cout << "Started playing background sound"<<std::endl;
+				COUT(3) << "Info: Started playing background sound" << std::endl;
 			}
 		}
@@ -69,5 +68,5 @@
 	void AudioManager::ambientStop()
 	{
-		std::cout << "Stopped playing background sound"<<std::endl;
+		COUT(3) << "Info: Stopped playing background sound" << std::endl;
 	}
 
@@ -80,5 +79,5 @@
 		{
 			bgSounds.push_back(tmp);
-			std::cout << "Added background sound "<<file<<std::endl;
+			COUT(3) << "Info: Added background sound " << file << std::endl;
 		}
 	}
@@ -118,5 +117,5 @@
 					}
 					bgSounds[currentBgSound].playback();
-					std::cout << "Playing next background sound "<<std::endl;
+					COUT(3) << "Info: Playing next background sound" << std::endl;
 				}
 			}
Index: /code/branches/FICN/src/audio/AudioStream.cc
===================================================================
--- /code/branches/FICN/src/audio/AudioStream.cc	(revision 559)
+++ /code/branches/FICN/src/audio/AudioStream.cc	(revision 560)
@@ -28,4 +28,5 @@
 
 #include "AudioStream.h"
+#include "../orxonox/core/Debug.h"
 
 namespace audio
@@ -103,5 +104,5 @@
 		if (loaded)
 		{
-	    std::cout
+	    COUT(3)
 	        << "version         " << vorbisInfo->version         << "\n"
 	        << "channels        " << vorbisInfo->channels        << "\n"
@@ -115,7 +116,7 @@
 
 	    for(int i = 0; i < vorbisComment->comments; i++)
-	        std::cout << "   " << vorbisComment->user_comments[i] << "\n";
-
-	    std::cout << std::endl;
+	        COUT(3) << "   " << vorbisComment->user_comments[i] << "\n";
+
+	    COUT(3) << std::endl;
 		}
 	}
Index: /code/branches/FICN/src/audio/_AudioObject.cc
===================================================================
--- /code/branches/FICN/src/audio/_AudioObject.cc	(revision 559)
+++ /code/branches/FICN/src/audio/_AudioObject.cc	(revision 560)
@@ -30,4 +30,5 @@
 #include <string>
 #include "AudioObject.h"
+#include "../orxonox/core/Debug.h"
 
 namespace audio
@@ -74,5 +75,5 @@
 
 		SetListenerValues();
-		std::cout << "Play sone ambient background sound";
+		COUT(3) << "Info: Play sone ambient background sound";
 	}
 
Index: /code/branches/FICN/src/loader/LevelLoader.cc
===================================================================
--- /code/branches/FICN/src/loader/LevelLoader.cc	(revision 559)
+++ /code/branches/FICN/src/loader/LevelLoader.cc	(revision 560)
@@ -133,7 +133,7 @@
 		    mLoadOverlay->show();
 
-				std::cout << "\n\n\nThis is Orxonox\nthe hottest 3D action shooter ever to exist\n\n\n";
-				std::cout << "Level: " << name() << "\nDescription:" << description() << "\nImage:"<<image()<<"\n\n\n";
-				std::cout << "Backgroundcolor: " << loadingBackgroundColor_ << "\nBackgroundimage:" << loadingBackgroundImage_ << "\n\n\n";
+				COUT(0) << "\n\n\nThis is Orxonox\nthe hottest 3D action shooter ever to exist\n\n\n";
+				COUT(0) << "Level: " << name() << "\nDescription:" << description() << "\nImage:"<<image()<<"\n\n\n";
+				COUT(4) << "Backgroundcolor: " << loadingBackgroundColor_ << "\nBackgroundimage:" << loadingBackgroundImage_ << "\n\n\n";
 
 			}
@@ -170,5 +170,5 @@
 				 mLoadOverlay->hide();
 			}
-			std::cout << "Loading finished!\n\n\n\n\n";
+			COUT(0) << "Loading finished!\n\n\n\n\n";
 		}
 	}
Index: /code/branches/FICN/src/misc/String2Number.h
===================================================================
--- /code/branches/FICN/src/misc/String2Number.h	(revision 559)
+++ /code/branches/FICN/src/misc/String2Number.h	(revision 560)
@@ -5,4 +5,6 @@
 #include <sstream>
 #include <iostream>
+
+#include "../orxonox/core/Debug.h"
 
 /**
@@ -16,5 +18,5 @@
 *
 * @example
-* float f; 
+* float f;
 * String2Number<float>(f, std::string(" 123.45 "));
 */
@@ -29,5 +31,5 @@
 	*
 	* First value is the target variable, the second vector is the
-	* string where the number is taken from, the third parameter 
+	* string where the number is taken from, the third parameter
 	* should be one of std::hex, std::dec or std::oct (dec is default value)
 	*/
@@ -36,8 +38,8 @@
 	  std::istringstream iss(s);
 	  success_ = !(iss >> f >> t).fail();
-	  
+
 	  if (!success_ && haltOnError==1)
 	  {
-	  	std::cout << "Conversion error from string to number in \"" << s << "\"" << std::endl;
+	  	COUT(1) << "Error: Conversion from string to number in \"" << s << "\" failed." << std::endl;
 	  	exit(1);
 	  }
Index: /code/branches/FICN/src/orxonox/core/CMakeLists.txt
===================================================================
--- /code/branches/FICN/src/orxonox/core/CMakeLists.txt	(revision 559)
+++ /code/branches/FICN/src/orxonox/core/CMakeLists.txt	(revision 560)
@@ -11,4 +11,5 @@
   SignalHandler.cc
   ArgReader.cc
+  DebugLevel.cc
 )
 
Index: /code/branches/FICN/src/orxonox/core/Debug.h
===================================================================
--- /code/branches/FICN/src/orxonox/core/Debug.h	(revision 559)
+++ /code/branches/FICN/src/orxonox/core/Debug.h	(revision 560)
@@ -25,4 +25,6 @@
 
 #include <stdio.h>
+
+int getSoftDebugLevel();
 
 // DEFINE ERROR MODES
@@ -38,5 +40,5 @@
 
 #define ORX_HARD_DEBUG_LEVEL ORX_DEBUG
-#define ORX_SOFT_DEBUG_LEVEL ORX_WARNING // <-- fix that! should be a configurable setting
+//#define ORX_SOFT_DEBUG_LEVEL ORX_WARNING // <-- fix that! should be a configurable setting
 
 ///////////////////////////////////////////////////
@@ -61,5 +63,5 @@
   #if ORX_HARD_DEBUG_LEVEL >= ORX_ERROR
    #define PRINTF1 \
-    if (ORX_SOFT_DEBUG_LEVEL >= ORX_ERROR) \
+    if (getSoftDebugLevel() >= ORX_ERROR) \
      printf("Error (in %s, line %d): ", __FILE__, __LINE__), PRINT_EXEC
   #else
@@ -69,5 +71,5 @@
   #if ORX_HARD_DEBUG_LEVEL >= ORX_WARNING
    #define PRINTF2 \
-    if (ORX_SOFT_DEBUG_LEVEL >= ORX_WARNING) \
+    if (getSoftDebugLevel() >= ORX_WARNING) \
      printf("Warning (in %s, line %d): ", __FILE__, __LINE__), PRINT_EXEC
   #else
@@ -77,5 +79,5 @@
   #if ORX_HARD_DEBUG_LEVEL >= ORX_INFO
    #define PRINTF3 \
-    if (ORX_SOFT_DEBUG_LEVEL >= ORX_INFO) \
+    if (getSoftDebugLevel() >= ORX_INFO) \
      printf("Info (in %s, line %d): ", __FILE__, __LINE__), PRINT_EXEC
   #else
@@ -85,5 +87,5 @@
   #if ORX_HARD_DEBUG_LEVEL >= ORX_DEBUG
    #define PRINTF4 \
-    if (ORX_SOFT_DEBUG_LEVEL >= ORX_DEBUG) \
+    if (getSoftDebugLevel() >= ORX_DEBUG) \
      printf("Debug (in %s, line %d): ", __FILE__, __LINE__), PRINT_EXEC
   #else
@@ -93,5 +95,5 @@
   #if ORX_HARD_DEBUG_LEVEL >= ORX_vDEBUG
    #define PRINTF5 \
-    if (ORX_SOFT_DEBUG_LEVEL >= ORX_vDEBUG) \
+    if (getSoftDebugLevel() >= ORX_vDEBUG) \
      printf("vDebug (in %s, line %d): ", __FILE__, __LINE__), PRINT_EXEC
   #else
@@ -124,5 +126,5 @@
   #if ORX_HARD_DEBUG_LEVEL >= ORX_ERROR
    #define PRINT1  \
-    if (ORX_SOFT_DEBUG_LEVEL >= ORX_ERROR)  \
+    if (getSoftDebugLevel() >= ORX_ERROR)  \
      PRINT_EXEC
   #else
@@ -132,5 +134,5 @@
   #if ORX_HARD_DEBUG_LEVEL >= ORX_WARNING
    #define PRINT2 \
-    if (ORX_SOFT_DEBUG_LEVEL >= ORX_WARNING) \
+    if (getSoftDebugLevel() >= ORX_WARNING) \
      PRINT_EXEC
   #else
@@ -140,5 +142,5 @@
   #if ORX_HARD_DEBUG_LEVEL >= ORX_INFO
    #define PRINT3 \
-    if (ORX_SOFT_DEBUG_LEVEL >= ORX_INFO) \
+    if (getSoftDebugLevel() >= ORX_INFO) \
      PRINT_EXEC
   #else
@@ -148,5 +150,5 @@
   #if ORX_HARD_DEBUG_LEVEL >= ORX_DEBUG
    #define PRINT4 \
-    if (ORX_SOFT_DEBUG_LEVEL >= ORX_DEBUG) \
+    if (getSoftDebugLevel() >= ORX_DEBUG) \
      PRINT_EXEC
   #else
@@ -156,5 +158,5 @@
   #if ORX_HARD_DEBUG_LEVEL >= ORX_vDEBUG
    #define PRINT5 \
-    if (ORX_SOFT_DEBUG_LEVEL >= ORX_vDEBUG) \
+    if (getSoftDebugLevel() >= ORX_vDEBUG) \
      PRINT_EXEC
   #else
@@ -188,5 +190,5 @@
   #if ORX_HARD_DEBUG_LEVEL >= ORX_ERROR
    #define COUT1  \
-    if (ORX_SOFT_DEBUG_LEVEL >= ORX_ERROR)  \
+    if (getSoftDebugLevel() >= ORX_ERROR)  \
      COUT_EXEC
   #else
@@ -197,5 +199,5 @@
   #if ORX_HARD_DEBUG_LEVEL >= ORX_WARNING
    #define COUT2 \
-    if (ORX_SOFT_DEBUG_LEVEL >= ORX_WARNING) \
+    if (getSoftDebugLevel() >= ORX_WARNING) \
      COUT_EXEC
   #else
@@ -206,5 +208,5 @@
   #if ORX_HARD_DEBUG_LEVEL >= ORX_INFO
    #define COUT3 \
-    if (ORX_SOFT_DEBUG_LEVEL >= ORX_INFO) \
+    if (getSoftDebugLevel() >= ORX_INFO) \
      COUT_EXEC
   #else
@@ -215,5 +217,5 @@
   #if ORX_HARD_DEBUG_LEVEL >= ORX_DEBUG
    #define COUT4 \
-    if (ORX_SOFT_DEBUG_LEVEL >= ORX_DEBUG) \
+    if (getSoftDebugLevel() >= ORX_DEBUG) \
      COUT_EXEC
   #else
@@ -224,5 +226,5 @@
   #if ORX_HARD_DEBUG_LEVEL >= ORX_vDEBUG
    #define COUT5 \
-    if (ORX_SOFT_DEBUG_LEVEL >= ORX_vDEBUG) \
+    if (getSoftDebugLevel() >= ORX_vDEBUG) \
      COUT_EXEC
   #else
Index: /code/branches/FICN/src/orxonox/core/Error.cc
===================================================================
--- /code/branches/FICN/src/orxonox/core/Error.cc	(revision 559)
+++ /code/branches/FICN/src/orxonox/core/Error.cc	(revision 560)
@@ -27,4 +27,5 @@
 
 #include "Error.h"
+#include "Debug.h"
 
 namespace orxonox
@@ -42,5 +43,5 @@
 	Error::Error(int errorCode, std::string errorMsg)
 	{
-		std::cout << "############################ "<< std::endl
+		COUT(1) << "############################ "<< std::endl
 							<< "#         Error "<<errorCode<< "          #"<< std::endl
 							<< "############################ "<< std::endl
@@ -58,5 +59,5 @@
 			}
 		}
-		std::cout << errorMsg << std::endl<< std::endl;
+		COUT(1) << errorMsg << std::endl<< std::endl;
 	}
 }
Index: /code/branches/FICN/src/orxonox/core/SignalHandler.cc
===================================================================
--- /code/branches/FICN/src/orxonox/core/SignalHandler.cc	(revision 559)
+++ /code/branches/FICN/src/orxonox/core/SignalHandler.cc	(revision 560)
@@ -14,6 +14,8 @@
 */
 
+#include <assert.h>
+
 #include "SignalHandler.h"
-#include <assert.h>
+#include "Debug.h"
 
 SignalHandler * SignalHandler::singletonRef = NULL;
@@ -101,5 +103,5 @@
   }
 
-  printf( "recieved signal %s\ntry to write backtrace to file orxonox.log\n", sigName.c_str() );
+  PRINTF(0)( "recieved signal %s\ntry to write backtrace to file orxonox.log\n", sigName.c_str() );
 
   int sigPipe[2];
@@ -129,5 +131,5 @@
     if ( someData != 0x12345678 )
     {
-      printf("something went wrong :(\n");
+      PRINTF(0)("something went wrong :(\n");
     }
 
@@ -278,5 +280,5 @@
   if ( fwrite( bt.c_str(), 1, bt.length(), f ) != bt.length() )
   {
-    printf( ( std::string("could not write %d byte to ") + getInstance()->fileName ).c_str(), bt.length());
+    PRINTF(0)( ( std::string("could not write %d byte to ") + getInstance()->fileName ).c_str(), bt.length());
     exit(EXIT_FAILURE);
   }
Index: /code/branches/FICN/src/orxonox/graphicsEngine.cc
===================================================================
--- /code/branches/FICN/src/orxonox/graphicsEngine.cc	(revision 559)
+++ /code/branches/FICN/src/orxonox/graphicsEngine.cc	(revision 560)
@@ -35,4 +35,5 @@
 #include <OgreConfigFile.h>
 #include <OgreTextureManager.h>
+#include "core/Debug.h"
 
 
@@ -74,5 +75,5 @@
     {
       scene_ = root_->createSceneManager(ST_GENERIC, "Default SceneManager");
-      std::cout << "created SceneMan: " << scene_ << std::endl;
+      COUT(3) << "Info: Created SceneMan: " << scene_ << std::endl;
     }
     return scene_;
Index: /code/branches/FICN/src/orxonox/objects/Ambient.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 559)
+++ /code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 560)
@@ -33,4 +33,5 @@
 #include "../../misc/Tokenizer.h"
 #include "../../misc/String2Number.h"
+#include "../core/Debug.h"
 
 #include "Ambient.h"
@@ -64,5 +65,5 @@
 	    	mgr->setAmbientLight(ColourValue(r,g,b));
 
-	    	std::cout << "Loader: Set ambient light: "<<r<<" " << g << " " << b  << std::endl << std::endl;
+	    	COUT(4) << "Loader: Set ambient light: "<<r<<" " << g << " " << b  << std::endl << std::endl;
     	}
    }
Index: /code/branches/FICN/src/orxonox/objects/Camera.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 559)
+++ /code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 560)
@@ -11,4 +11,5 @@
 #include "../../misc/Tokenizer.h"
 #include "../../misc/String2Number.h"
+#include "../core/Debug.h"
 
 #include "Camera.h"
@@ -30,9 +31,9 @@
     {
     	Ogre::SceneManager* mgr = orxonox::Orxonox::getSingleton()->getSceneManager();
-    	
+
     	if (xmlElem->Attribute("name") && xmlElem->Attribute("pos") && xmlElem->Attribute("lookat") && xmlElem->Attribute("node"))
     	{
     		//		<Camera name="Camera" pos="0,0,-250" lookat="0,0,0" />
-    		
+
     		std::string name = xmlElem->Attribute("name");
     		std::string pos = xmlElem->Attribute("pos");
@@ -57,14 +58,14 @@
 
     		std::string node = xmlElem->Attribute("node");
-    		
+
 		    Ogre::SceneNode* sceneNode = (Ogre::SceneNode*)mgr->getRootSceneNode()->getChild(node);
 		    sceneNode->attachObject((Ogre::MovableObject*)cam);
-	    
-	    	
+
+
 		    Ogre::Viewport* vp = orxonox::Orxonox::getSingleton()->getOgrePointer()->getRoot()->getAutoCreatedWindow()->addViewport(cam);
-			    
 
-	    	std::cout << "Loader: Created camera "<< name  << std::endl << std::endl;
-    	}   	
+
+	    	COUT(4) << "Loader: Created camera "<< name  << std::endl << std::endl;
+    	}
    }
 }
Index: /code/branches/FICN/src/orxonox/objects/Entity.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/Entity.cc	(revision 559)
+++ /code/branches/FICN/src/orxonox/objects/Entity.cc	(revision 560)
@@ -6,4 +6,5 @@
 #include "../../misc/Tokenizer.h"
 #include "../../misc/String2Number.h"
+#include "../core/Debug.h"
 
 #include "Entity.h"
@@ -25,5 +26,5 @@
     {
     	Ogre::SceneManager* mgr = orxonox::Orxonox::getSingleton()->getSceneManager();
-    	
+
     	if (xmlElem->Attribute("name") && xmlElem->Attribute("src") && xmlElem->Attribute("node"))
     	{
@@ -31,5 +32,5 @@
     		std::string src = xmlElem->Attribute("src");
     		std::string node = xmlElem->Attribute("node");
-    			
+
 			Ogre::Entity* entity = mgr->createEntity(name, src);
 
@@ -37,7 +38,7 @@
 		    sceneNode->attachObject((Ogre::MovableObject*)entity);
 
-	    	std::cout << "Loader: Created entity "<< name <<" with source " << src  << " at node " << node  << std::endl << std::endl;
-    	}   	
+	    	COUT(4) << "Loader: Created entity "<< name <<" with source " << src  << " at node " << node  << std::endl << std::endl;
+    	}
    }
-   
+
 }
Index: /code/branches/FICN/src/orxonox/objects/SceneNode.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/SceneNode.cc	(revision 559)
+++ /code/branches/FICN/src/orxonox/objects/SceneNode.cc	(revision 560)
@@ -6,4 +6,5 @@
 #include "../../misc/Tokenizer.h"
 #include "../../misc/String2Number.h"
+#include "../core/Debug.h"
 
 #include "SceneNode.h"
@@ -25,5 +26,5 @@
     {
     	Ogre::SceneManager* mgr = orxonox::Orxonox::getSingleton()->getSceneManager();
-    	
+
     	if (xmlElem->Attribute("name") && xmlElem->Attribute("pos"))
     	{
@@ -36,9 +37,9 @@
 	    	String2Number<float>(z, pos[2]);
 
-    		
+
     		mgr->getRootSceneNode()->createChildSceneNode(name, Vector3(x,y,z));
-	    	
-	    	std::cout << "Loader: Created node "<< name <<" : "<<x<<" " << y << " " << z  << std::endl << std::endl;
-    	}   	
+
+	    	COUT(4) << "Loader: Created node "<< name <<" : "<<x<<" " << y << " " << z  << std::endl << std::endl;
+    	}
    }
 }
Index: /code/branches/FICN/src/orxonox/objects/Skybox.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/Skybox.cc	(revision 559)
+++ /code/branches/FICN/src/orxonox/objects/Skybox.cc	(revision 560)
@@ -33,4 +33,5 @@
 #include "../../misc/Tokenizer.h"
 #include "../../misc/String2Number.h"
+#include "../core/Debug.h"
 
 #include "Skybox.h"
@@ -58,5 +59,5 @@
 	    	mgr->setSkyBox(true, skyboxSrc);
 
-	    	std::cout << "Loader: Set skybox: "<< skyboxSrc << std::endl << std::endl;
+	    	COUT(4) << "Loader: Set skybox: "<< skyboxSrc << std::endl << std::endl;
     	}
    }
Index: /code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc	(revision 559)
+++ /code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc	(revision 560)
@@ -11,4 +11,5 @@
 #include "../../misc/Tokenizer.h"
 #include "../../misc/String2Number.h"
+#include "../core/Debug.h"
 
 #include "SpaceshipSteeringObject.h"
@@ -32,5 +33,5 @@
     {
     	SpaceshipSteering* steering = orxonox::Orxonox::getSingleton()->getSteeringPointer();
-    	
+
     	if (xmlElem->Attribute("node") && xmlElem->Attribute("forward") && xmlElem->Attribute("rotateupdown") && xmlElem->Attribute("rotaterightleft") && xmlElem->Attribute("looprightleft"))
     	{
@@ -46,17 +47,17 @@
     	 	String2Number<float>(rotaterightleft, rotaterightleftStr);
     	 	String2Number<float>(looprightleft, looprightleftStr);
-	    
+
     		steering = new SpaceshipSteering(forward, rotateupdown, rotaterightleft, looprightleft);
-    		
+
 	    	Ogre::SceneManager* mgr = orxonox::Orxonox::getSingleton()->getSceneManager();
 		    Ogre::SceneNode* sceneNode = (Ogre::SceneNode*)mgr->getRootSceneNode()->getChild(nodeStr);
-			    		
+
     		steering->addNode(sceneNode);
-    
-    
-    
-    
-	    	std::cout << "Loader: Initialized spaceship steering at node " << nodeStr << " values "<< forward << " " << rotateupdown << " "<< rotaterightleft << " "<< looprightleft << " "<< std::endl << std::endl;
-    	}   	
+
+
+
+
+	    	COUT(4) << "Loader: Initialized spaceship steering at node " << nodeStr << " values "<< forward << " " << rotateupdown << " "<< rotaterightleft << " "<< looprightleft << " "<< std::endl << std::endl;
+    	}
    }
 }
Index: /code/branches/FICN/src/orxonox/orxonox.cc
===================================================================
--- /code/branches/FICN/src/orxonox/orxonox.cc	(revision 559)
+++ /code/branches/FICN/src/orxonox/orxonox.cc	(revision 560)
@@ -56,4 +56,5 @@
 #include "core/ArgReader.h"
 #include "core/Factory.h"
+#include "core/Debug.h"
 
 #include "../loader/LevelLoader.h"
@@ -310,9 +311,9 @@
       if(ogre_ && ogre_->getRoot())
         ogre_->getRoot()->addFrameListener(new network::ServerFrameListener()); // adds a framelistener for the server
-      std::cout << "network framelistener added" << std::endl;
+      COUT(3) << "Info: network framelistener added" << std::endl;
     }
     catch(exception &e)
     {
-      std::cout << "There was a problem initialising the server :(" << std::endl;
+      COUT(1) << "Error: There was a problem initialising the server :(" << std::endl;
     }
     startRenderLoop();
Index: /code/branches/FICN/src/orxonox/spaceship_steering.cc
===================================================================
--- /code/branches/FICN/src/orxonox/spaceship_steering.cc	(revision 559)
+++ /code/branches/FICN/src/orxonox/spaceship_steering.cc	(revision 560)
@@ -29,4 +29,6 @@
 #include "spaceship_steering.h"
 #include <iostream>
+#include "core/Debug.h"
+
 using namespace Ogre;
 
@@ -34,6 +36,6 @@
 maxSpeedRotateUpDown, float maxSpeedRotateRightLeft, float
 maxSpeedLoopRightLeft) {
-	
-	std::cout << "Steering was loaded" << std::endl; 
+
+  COUT(3) << "Info: Steering was loaded" << std::endl;
   moveForward_ = 0;
   rotateUp_ = 0;