Index: /code/branches/FICN/bin/levels/sample.oxw
===================================================================
--- /code/branches/FICN/bin/levels/sample.oxw	(revision 579)
+++ /code/branches/FICN/bin/levels/sample.oxw	(revision 580)
@@ -26,6 +26,6 @@
 		<Skybox src="Orxonox/StarfieldSkyBox" />
 
-		<BaseEntity name="ASSF" src="assf2.mesh" node="OgreHeadNode" />
-
+    <SceneNode name="ShipNode" pos="0,0,0" node="OgreHeadNode" scale="10,10,10" yaw="-90" pitch="-90" />
+    <BaseEntity name="TheShip" src="assf2.mesh" node="ShipNode" />
 
     <SceneNode name="node1" pos="0,200,0" />
Index: /code/branches/FICN/src/orxonox/objects/BaseEntity.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/BaseEntity.cc	(revision 579)
+++ /code/branches/FICN/src/orxonox/objects/BaseEntity.cc	(revision 580)
@@ -31,4 +31,8 @@
         mesh_ = xmlElem->Attribute("src");
         std::string node = xmlElem->Attribute("node");
+
+        // get the node
+        this->setNode(Orxonox::getSingleton()->getSceneManager()->getSceneNode(node));
+
         
         // register variables to be synchronised
@@ -54,6 +58,6 @@
      Ogre::Entity* entity = mgr->createEntity(name_, mesh_);
      
-     Ogre::MovableObject *ent = (Ogre::MovableObject *)entity;
-     getNode()->attachObject(ent); // big problem here: sigsegv
+     //Ogre::MovableObject *ent = (Ogre::MovableObject *)entity;
+     getNode()->attachObject(entity); // big problem here: sigsegv
      return true;
    }
Index: /code/branches/FICN/src/orxonox/objects/SceneNode.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/SceneNode.cc	(revision 579)
+++ /code/branches/FICN/src/orxonox/objects/SceneNode.cc	(revision 580)
@@ -37,6 +37,40 @@
 	    	String2Number<float>(z, pos[2]);
 
+        float sx = 1, sy = 1, sz = 1;
+        if (xmlElem->Attribute("scale"))
+        {
+	    	  pos = tokenize(xmlElem->Attribute("scale"),",");
+    	 	  String2Number<float>(sx, pos[0]);
+	    	  String2Number<float>(sy, pos[1]);
+	    	  String2Number<float>(sz, pos[2]);
+        }
 
-    		mgr->getRootSceneNode()->createChildSceneNode(name, Vector3(x,y,z));
+        float yaw = 0.0;
+        if (xmlElem->Attribute("yaw"))
+        {
+          String2Number<float>(yaw,xmlElem->Attribute("yaw"));
+        }
+        float pitch = 0.0;
+        if (xmlElem->Attribute("pitch"))
+        {
+          String2Number<float>(pitch,xmlElem->Attribute("pitch"));
+        }
+        float roll = 0.0;
+        if (xmlElem->Attribute("roll"))
+        {
+          String2Number<float>(roll,xmlElem->Attribute("roll"));
+        }
+
+        Ogre::SceneNode *parentNode;
+        if (xmlElem->Attribute("node"))
+          parentNode = mgr->getSceneNode(xmlElem->Attribute("node"));
+        else
+          parentNode = mgr->getRootSceneNode();
+
+        Ogre::SceneNode* node = parentNode->createChildSceneNode(name, Vector3(x,y,z));
+        node->scale(sx,sy,sz);
+        node->yaw(Ogre::Degree(yaw));
+        node->pitch(Ogre::Degree(pitch));
+        node->roll(Ogre::Degree(roll));
 
 	    	COUT(4) << "Loader: Created node "<< name <<" : "<<x<<" " << y << " " << z  << std::endl << std::endl;
Index: /code/branches/FICN/src/orxonox/objects/WorldEntity.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 579)
+++ /code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 580)
@@ -50,5 +50,6 @@
             name << (WorldEntity::worldEntityCounter_s++);
             this->setName("WorldEntity" + name.str());
-            node_ = Orxonox::getSingleton()->getSceneManager()->getRootSceneNode()->createChildSceneNode(this->getName());
+            // don't set the node yet!
+            //node_ = Orxonox::getSingleton()->getSceneManager()->getRootSceneNode()->createChildSceneNode(this->getName());
             std::cout << "blubbbi: " << this->getName() << " .. " << this->node_ << std::endl;
         }
Index: /code/branches/FICN/src/orxonox/objects/WorldEntity.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 579)
+++ /code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 580)
@@ -22,4 +22,7 @@
       inline Ogre::SceneNode* getNode()
           { return this->node_; }
+
+      inline void setNode(Ogre::SceneNode* node)
+          { this->node_ = node; }
 
       inline void setPosition(const Vector3& pos)