Index: /code/branches/FICN/src/orxonox/objects/Model.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/Model.cc	(revision 582)
+++ /code/branches/FICN/src/orxonox/objects/Model.cc	(revision 583)
@@ -23,52 +23,20 @@
     void Model::loadParams(TiXmlElement* xmlElem)
     {
-        std::cout << "1\n";
-    	if (xmlElem->Attribute("position"))
-    	{
-        std::cout << "2\n";
-	    	std::vector<std::string> pos = tokenize(xmlElem->Attribute("position"),",");
-	    	float x, y, z;
-    	 	String2Number<float>(x, pos[0]);
-	    	String2Number<float>(y, pos[1]);
-	    	String2Number<float>(z, pos[2]);
-	    	this->setPosition(x, y, z);
-    	}
+        WorldEntity::loadParams(xmlElem);
 
-        std::cout << "3\n";
-    	if (xmlElem->Attribute("direction"))
-    	{
-        std::cout << "4\n";
-	    	std::vector<std::string> pos = tokenize(xmlElem->Attribute("direction"),",");
-	    	float x, y, z;
-    	 	String2Number<float>(x, pos[0]);
-	    	String2Number<float>(y, pos[1]);
-	    	String2Number<float>(z, pos[2]);
-	    	this->setDirection(x, y, z);
-    	}
-
-        std::cout << "5\n";
+        std::cout << "10\n";
     	if (xmlElem->Attribute("mesh"))
     	{
-        std::cout << "6_1\n";
+        std::cout << "11_1\n";
     		std::string src = xmlElem->Attribute("mesh");
-        std::cout << "6_2\n";
+        std::cout << "11_2\n";
         std::cout << this->mesh_.getEntity() << std::endl;
     		this->mesh_ = Mesh(src);
-        std::cout << "6_3\n";
+        std::cout << "11_3\n";
         std::cout << this->mesh_.getEntity() << std::endl;
 		    this->attachObject(this->mesh_.getEntity());
-        std::cout << "6_4\n";
+        std::cout << "11_4\n";
     	}
-
-        std::cout << "7\n";
-    	if (xmlElem->Attribute("scale"))
-    	{
-        std::cout << "8\n";
-		    std::string scaleStr = xmlElem->Attribute("scale");
-		    float scale;
-		    String2Number<float>(scale, scaleStr);
-		    this->setScale(scale);
-    	}
-        std::cout << "9\n";
+        std::cout << "12\n";
 
         COUT(4) << "Loader: Created model" << std::endl;
Index: /code/branches/FICN/src/orxonox/objects/WorldEntity.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 582)
+++ /code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 583)
@@ -32,4 +32,7 @@
 #include "../core/CoreIncludes.h"
 #include "../orxonox.h"
+#include "../../tinyxml/tinyxml.h"
+#include "../../misc/Tokenizer.h"
+#include "../../misc/String2Number.h"
 
 namespace orxonox
@@ -50,5 +53,4 @@
             name << (WorldEntity::worldEntityCounter_s++);
             this->setName("WorldEntity" + name.str());
-            // don't set the node yet!
             //node_ = Orxonox::getSingleton()->getSceneManager()->getRootSceneNode()->createChildSceneNode(this->getName());
             std::cout << "blubbbi: " << this->getName() << " .. " << this->node_ << std::endl;
@@ -79,8 +81,52 @@
         }
     }
-    
-    void WorldEntity::registerAllVariables(){
+
+    void WorldEntity::loadParams(TiXmlElement* xmlElem)
+    {
+        BaseObject::loadParams(xmlElem);
+
+        std::cout << "1\n";
+    	if (xmlElem->Attribute("name"))
+    	{
+        std::cout << "2\n";
+    		this->setName(xmlElem->Attribute("mesh"));
+    	}
+        std::cout << "3\n";
+    	if (xmlElem->Attribute("position"))
+    	{
+        std::cout << "4\n";
+	    	std::vector<std::string> pos = tokenize(xmlElem->Attribute("position"),",");
+	    	float x, y, z;
+    	 	String2Number<float>(x, pos[0]);
+	    	String2Number<float>(y, pos[1]);
+	    	String2Number<float>(z, pos[2]);
+	    	this->setPosition(x, y, z);
+    	}
+        std::cout << "5\n";
+    	if (xmlElem->Attribute("direction"))
+    	{
+        std::cout << "6\n";
+	    	std::vector<std::string> pos = tokenize(xmlElem->Attribute("direction"),",");
+	    	float x, y, z;
+    	 	String2Number<float>(x, pos[0]);
+	    	String2Number<float>(y, pos[1]);
+	    	String2Number<float>(z, pos[2]);
+	    	this->setDirection(x, y, z);
+    	}
+        std::cout << "7\n";
+    	if (xmlElem->Attribute("scale"))
+    	{
+        std::cout << "8\n";
+		    std::string scaleStr = xmlElem->Attribute("scale");
+		    float scale;
+		    String2Number<float>(scale, scaleStr);
+		    this->setScale(scale);
+    	}
+        std::cout << "9\n";
+    }
+
+    void WorldEntity::registerAllVariables()
+    {
       // to be implemented !
-      
     }
 }
Index: /code/branches/FICN/src/orxonox/objects/WorldEntity.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 582)
+++ /code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 583)
@@ -9,4 +9,5 @@
 #include "Mesh.h"
 #include "network/Synchronisable.h"
+#include "tinyxml/tinyxml.h"
 
 namespace orxonox
@@ -18,5 +19,6 @@
       ~WorldEntity();
 
-      void tick(float dt);
+      virtual void tick(float dt);
+      virtual void loadParams(TiXmlElement* xmlElem);
 
       inline Ogre::SceneNode* getNode()