Index: /code/branches/FICN/bin/levels/sample.oxw
===================================================================
--- /code/branches/FICN/bin/levels/sample.oxw	(revision 583)
+++ /code/branches/FICN/bin/levels/sample.oxw	(revision 584)
@@ -24,5 +24,5 @@
   <world>
     <SceneNode name="OgreHeadNode" pos="0,0,0" />
-    <Camera name="Camera" pos="0,0,-150" lookat="0,0,0" node="OgreHeadNode" />
+    <Camera name="Camera" pos="0,50,-150" lookat="0,20,0" node="OgreHeadNode" />
     <Ambient colourvalue="1,1,1" />
     <Skybox src="Orxonox/StarfieldSkyBox" />
@@ -31,20 +31,27 @@
     <BaseEntity name="TheShip" src="assf2.mesh" node="ShipNode" />
 
-    <SceneNode name="node1" pos="0,200,0" />
+    <SceneNode name="ShipNode2" pos="200,0,500" scale="10,10,10" yaw="-90" pitch="-90" />
+    <BaseEntity name="TheShip2" src="assf2.mesh" node="ShipNode2" />
+
+    <SceneNode name="ShipNode3" pos="-200,0,500" scale="10,10,10" yaw="-90" pitch="-90" />
+    <BaseEntity name="TheShip3" src="assf2.mesh" node="ShipNode3" />
+
+
+    <SceneNode name="node1" pos="0,2000,0"  scale="40,40,40" />
     <Entity name="asteroid1" src="ast1.mesh" node="node1" />
 
-    <SceneNode name="node2" pos="200,0,0" />
+    <SceneNode name="node2" pos="2000,0,0" scale="20,20,20"/>
     <Entity name="asteroid2" src="ast2.mesh" node="node2" />
 
-    <SceneNode name="node3" pos="0,0,200" />
-    <Entity name="aststeroid3" src="ast3.mesh" node="node3" />
+    <SceneNode name="node3" pos="0,0,2000" scale="20,20,20"/>
+    <Entity name="aststeroid3" src="ast3.mesh" node="node3"/>
 
-    <SceneNode name="node4" pos="0,-200,0" />
+    <SceneNode name="node4" pos="0,-2000,0" scale="20,20,20"/>
     <Entity name="asteroid4" src="ast4.mesh" node="node4" />
 
-    <SceneNode name="node5" pos="-200,0,0" />
+    <SceneNode name="node5" pos="-2000,0,0" scale="20,20,20"/>
     <Entity name="asteroid5" src="ast5.mesh" node="node5" />
 
-    <SceneNode name="node6" pos="0,0,-200" />
+    <SceneNode name="node6" pos="0,0,-2000" scale="20,20,20"/>
     <Entity name="asteroid6" src="ast6.mesh" node="node6" />
   </world>
Index: /code/branches/FICN/src/loader/LevelLoader.cc
===================================================================
--- /code/branches/FICN/src/loader/LevelLoader.cc	(revision 583)
+++ /code/branches/FICN/src/loader/LevelLoader.cc	(revision 584)
@@ -39,4 +39,6 @@
 #include "orxonox/core/Error.h"
 #include "orxonox/objects/BaseObject.h"
+#include "audio/AudioManager.h"
+#include "orxonox/orxonox.h"
 
 using namespace std;
@@ -100,4 +102,5 @@
 		{
 			TiXmlElement* loadElem;
+			TiXmlElement* audioElem;
 			TiXmlElement* worldElem;
 			TiXmlElement* tElem;
@@ -140,9 +143,24 @@
 
 			// Load audio
-			// TODO
-
-			// Load scripts
-			// TODO
-
+			audio::AudioManager* auMan = orxonox::Orxonox::getSingleton()->getAudioManagerPointer();
+			audioElem = rootElement->FirstChildElement("audio");
+			if (audioElem)
+			{
+				audioElem = audioElem->FirstChildElement("ambient");
+				if (audioElem)
+				{
+					tNode = 0;
+					while( tNode = audioElem->IterateChildren( tNode ) )
+					{
+						tElem = tNode->ToElement();
+						std::string elemVal = tElem->Value();
+						if (elemVal == "ogg")
+						{
+				    	auMan->ambientAdd(tElem->Attribute("src"));
+						}
+					}		
+				}	
+			}
+			
 			// Load world
 			worldElem = rootElement->FirstChildElement("world");
Index: /code/branches/FICN/src/orxonox/orxonox.cc
===================================================================
--- /code/branches/FICN/src/orxonox/orxonox.cc	(revision 583)
+++ /code/branches/FICN/src/orxonox/orxonox.cc	(revision 584)
@@ -430,11 +430,5 @@
     loader_->loadLevel();
 
-	/*
-    auMan_->ambientAdd("a1");
-    auMan_->ambientAdd("a2");
-    auMan_->ambientAdd("a3");
-                                //auMan->ambientAdd("ambient1");
     auMan_->ambientStart();
-	*/
   }
 
@@ -455,5 +449,5 @@
     steering_->addNode(node);
 
-
+/*
     particle::ParticleInterface *e = new particle::ParticleInterface(mgr,"engine","Orxonox/strahl");
     e->particleSystem_->setParameter("local_space","true");
@@ -461,4 +455,5 @@
     e->setDirection(Vector3(0,0,-1));
     e->addToSceneNode(node);
+*/
 
     particle::ParticleInterface *w = new particle::ParticleInterface(mgr,"schuss","Orxonox/schuss");
@@ -469,4 +464,14 @@
     w->setPositionOfEmitter(1, Vector3(-10,10,0));
     w->addToSceneNode(node);
+
+    particle::ParticleInterface *tt = new particle::ParticleInterface(mgr,"thrusters","Orxonox/treibwerk");
+    tt->particleSystem_->setParameter("local_space","true");
+    tt->newEmitter();
+    tt->setDirection(Vector3(0,0,1));
+    tt->setPositionOfEmitter(0, Vector3(15,0,-60));
+    tt->setPositionOfEmitter(1, Vector3(-15,0,-60));
+    tt->addToSceneNode(node);
+
+
   }
 
Index: /code/branches/FICN/src/orxonox/orxonox.h
===================================================================
--- /code/branches/FICN/src/orxonox/orxonox.h	(revision 583)
+++ /code/branches/FICN/src/orxonox/orxonox.h	(revision 584)
@@ -43,4 +43,5 @@
       inline GraphicsEngine* getOgrePointer() { return ogre_; };
       inline SpaceshipSteering* getSteeringPointer() { return steering_; };
+      inline audio::AudioManager* getAudioManagerPointer() { return auMan_; };
     private:
       Orxonox();