Index: code/branches/FICN/Media/materials/scripts/Ogre.material
===================================================================
--- code/branches/FICN/Media/materials/scripts/Ogre.material	(revision 578)
+++ code/branches/FICN/Media/materials/scripts/Ogre.material	(revision 588)
@@ -121,422 +121,2 @@
 
 
-material Orxonox/SuperEgg
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture superegg.png
-			}
-		}
-	}
-}
-
-material Orxonox/Shot
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture shot.png
-			}
-		}
-	}
-}
-
-
-material Orxonox/Red
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			depth_check off
-			scene_blend 0.5 0.5
-			ambient 0 0 0 0.5
-
-			texture_unit
-			{
-				texture OrxonoxRED.png
-			}
-		}
-	}
-}
-
-
-material Orxonox/Black
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			depth_check off
-			scene_blend 0.5 0.5
-			ambient 0 0 0 0.5
-
-			texture_unit
-			{
-				texture OrxonoxBlack.png
-			}
-		}
-	}
-}
-
-
-material Orxonox/BackGround
-{
-	technique
-	{
-		pass
-		{
-
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-			texture_unit
-			{
-				texture backGround.png
-			}
-		}
-	}
-}
-
-material Orxonox/EnergyBackground
-{
-	technique
-	{
-		pass
-		{
-
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-			texture_unit
-			{
-				texture EnergyBackground.png
-			}
-		}
-	}
-}
-
-material Orxonox/Clock
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture clock.png
-			}
-		}
-	}
-}
-
-material Orxonox/Gun
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture gun.png
-			}
-		}
-	}
-}
-
-material Orxonox/Man
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture man.png
-			}
-		}
-	}
-}
-
-material Orxonox/MapBackGround
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture MapBackGround.png
-			}
-		}
-	}
-}
-
-material Orxonox/MyShip
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture MyShip.png
-			}
-		}
-	}
-}
-
-material Orxonox/RacketBackground
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture RacketBackground.png
-			}
-		}
-	}
-}
-
-
-material Orxonox/TargetBackground
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture TargetBackground.png
-			}
-		}
-	}
-}
-
-material Orxonox/PrimarBackground
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture PrimarBackground.png
-			}
-		}
-	}
-}
-
-material Orxonox/PrimarSample
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture PrimarSample.png
-			}
-		}
-	}
-}
-
-material Orxonox/PrimarChoice
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture PrimarChoice.png
-			}
-		}
-	}
-}
-
-material Orxonox/RedPoint
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture RedPoint.png
-			}
-		}
-	}
-}
-
-material Orxonox/EnergyDistrBackground
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture EnergyDistrBackground.png
-			}
-		}
-	}
-}
-
-material Orxonox/ShildLeftTop
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture ShildLeftTop.png
-			}
-		}
-	}
-}
-
-material Orxonox/ShildRightTop
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture ShildRightTop.png
-			}
-		}
-	}
-}
-
-material Orxonox/ShildLeftBottom
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture ShildLeftBottom.png
-			}
-		}
-	}
-}
-
-material Orxonox/ShildRightBottom
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture ShildRightBottom.png
-			}
-		}
-	}
-}
-
-material Orxonox/TimeBackground
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			scene_blend alpha_blend
-			depth_check off
-
-			texture_unit
-			{
-				texture TimeBackground.png
-			}
-		}
-	}
-}
-
Index: code/branches/FICN/Media/materials/scripts/Orxonox.material
===================================================================
--- code/branches/FICN/Media/materials/scripts/Orxonox.material	(revision 578)
+++ code/branches/FICN/Media/materials/scripts/Orxonox.material	(revision 588)
@@ -1,70 +1,404 @@
-material Orxonox/StarSkyBox
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			depth_write off
-
-			texture_unit
-			{
-				cubic_texture stars.jpg separateUV
-				tex_address_mode clamp
-			}
-		}
-	}
-}
-
-material Orxonox/BlueStarSkyBox
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			depth_write off
-
-			texture_unit
-			{
-				cubic_texture bluestar.png separateUV
-				tex_address_mode clamp
-			}
-		}
-	}
-}
-
-material Orxonox/StarfieldSkyBox
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			depth_write off
-
-			texture_unit
-			{
-				cubic_texture starfield.jpg separateUV
-				tex_address_mode clamp
-			}
-		}
-	}
-}
-
-material Orxonox/LoadingScreenSample
-{
-   technique
-   {
-      pass
-      {
-         
-         depth_writing off
-
-         texture_unit
-         {
-            texture sample_loading.jpg
-         }
-      }
-   }
-} 
+
+
+material Orxonox/Shot
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture shot.png
+			}
+		}
+	}
+}
+
+
+material Orxonox/Red
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			depth_check off
+			scene_blend 0.5 0.5
+			ambient 0 0 0 0.5
+
+			texture_unit
+			{
+				texture OrxonoxRED.png
+			}
+		}
+	}
+}
+
+
+material Orxonox/Black
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			depth_check off
+			scene_blend 0.5 0.5
+			ambient 0 0 0 0.5
+
+			texture_unit
+			{
+				texture OrxonoxBlack.png
+			}
+		}
+	}
+}
+
+
+material Orxonox/BackGround
+{
+	technique
+	{
+		pass
+		{
+
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+			texture_unit
+			{
+				texture backGround.png
+			}
+		}
+	}
+}
+
+material Orxonox/EnergyBackground
+{
+	technique
+	{
+		pass
+		{
+
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+			texture_unit
+			{
+				texture EnergyBackground.png
+			}
+		}
+	}
+}
+
+material Orxonox/Clock
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture clock.png
+			}
+		}
+	}
+}
+
+material Orxonox/Gun
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture gun.png
+			}
+		}
+	}
+}
+
+material Orxonox/Man
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture man.png
+			}
+		}
+	}
+}
+
+material Orxonox/MapBackGround
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture MapBackGround.png
+			}
+		}
+	}
+}
+
+material Orxonox/MyShip
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture MyShip.png
+			}
+		}
+	}
+}
+
+material Orxonox/RacketBackground
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture RacketBackground.png
+			}
+		}
+	}
+}
+
+
+material Orxonox/TargetBackground
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture TargetBackground.png
+			}
+		}
+	}
+}
+
+material Orxonox/PrimarBackground
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture PrimarBackground.png
+			}
+		}
+	}
+}
+
+material Orxonox/PrimarSample
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture PrimarSample.png
+			}
+		}
+	}
+}
+
+material Orxonox/PrimarChoice
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture PrimarChoice.png
+			}
+		}
+	}
+}
+
+material Orxonox/RedPoint
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture RedPoint.png
+			}
+		}
+	}
+}
+
+material Orxonox/EnergyDistrBackground
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture EnergyDistrBackground.png
+			}
+		}
+	}
+}
+
+material Orxonox/shieldLeftTop
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture ShieldLeftTop.png
+			}
+		}
+	}
+}
+
+material Orxonox/shieldRightTop
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture ShieldRightTop.png
+			}
+		}
+	}
+}
+
+material Orxonox/shieldLeftBottom
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture ShieldLeftBottom.png
+			}
+		}
+	}
+}
+
+material Orxonox/shieldRightBottom
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture ShieldRightBottom.png
+			}
+		}
+	}
+}
+
+material Orxonox/TimeBackground
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture TimeBackground.png
+			}
+		}
+	}
+}
+
Index: code/branches/FICN/Media/materials/scripts/OrxonoxSky.material
===================================================================
--- code/branches/FICN/Media/materials/scripts/OrxonoxSky.material	(revision 588)
+++ code/branches/FICN/Media/materials/scripts/OrxonoxSky.material	(revision 588)
@@ -0,0 +1,70 @@
+material Orxonox/StarSkyBox
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			depth_write off
+
+			texture_unit
+			{
+				cubic_texture stars.jpg separateUV
+				tex_address_mode clamp
+			}
+		}
+	}
+}
+
+material Orxonox/BlueStarSkyBox
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			depth_write off
+
+			texture_unit
+			{
+				cubic_texture bluestar.png separateUV
+				tex_address_mode clamp
+			}
+		}
+	}
+}
+
+material Orxonox/StarfieldSkyBox
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			depth_write off
+
+			texture_unit
+			{
+				cubic_texture starfield.jpg separateUV
+				tex_address_mode clamp
+			}
+		}
+	}
+}
+
+material Orxonox/LoadingScreenSample
+{
+   technique
+   {
+      pass
+      {
+         
+         depth_writing off
+
+         texture_unit
+         {
+            texture sample_loading.jpg
+         }
+      }
+   }
+} 
Index: code/branches/FICN/Media/overlay/OrxonoxHUD.overlay
===================================================================
--- code/branches/FICN/Media/overlay/OrxonoxHUD.overlay	(revision 578)
+++ 	(revision )
@@ -1,142 +1,0 @@
-Orxonox/HUD
-{
-	zorder 500
-	// Stats block
-	container BorderPanel(Orxonox/Panel)
-	{
-		metrics_mode pixels
-		vert_align top
-		left 5 
-		top 5
-		width 250
-		height 90
-		material Orxonox/Red
-        	border_size 1 1 1 1
-        	border_material Core/StatsBlockBorder
-        	border_topleft_uv     0.0000 1.0000 0.0039 0.9961
-	    	border_top_uv         0.0039 1.0000 0.9961 0.9961
-	    	border_topright_uv    0.9961 1.0000 1.0000 0.9961
-	    	border_left_uv        0.0000 0.9961 0.0039 0.0039
-	    	border_right_uv       0.9961 0.9961 1.0000 0.0039
-	    	border_bottomleft_uv  0.0000 0.0039 0.0039 0.0000
-        	border_bottom_uv      0.0039 0.0039 0.9961 0.0000
-	    	border_bottomright_uv 0.9961 0.0039 1.0000 0.0000
-
-		    
-
-
-		container BorderPanel(Orxonox/HUD1/SuperEggPanel)
-		{	
-    		    	border_size 1 1 1 1
-        		border_material Core/StatsBlockBorder
-        		border_topleft_uv     0.0000 1.0000 0.0039 0.9961
-	    		border_top_uv         0.0039 1.0000 0.9961 0.9961
-	    		border_topright_uv    0.9961 1.0000 1.0000 0.9961
-	    		border_left_uv        0.0000 0.9961 0.0039 0.0039
-	    		border_right_uv       0.9961 0.9961 1.0000 0.0039
-	    		border_bottomleft_uv  0.0000 0.0039 0.0039 0.0000
-        		border_bottom_uv      0.0039 0.0039 0.9961 0.0000
-	    		border_bottomright_uv 0.9961 0.0039 1.0000 0.0000
-			metrics_mode pixels
-			horz_align left
-			vert_align top
-			top 10
-			left 10
-			width 70
-			height 70
-			material Orxonox/SuperEgg
-		}
-
-		element TextArea(Orxonox/HUD1/HP)
-		{
-			metrics_mode pixels
-			left 100
-			top 15
-			width 50
-			height 25
-			font_name BlueHighway
-			char_height 25
-			caption HP:
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}
-
-
-
-		container BorderPanel(Orxonox/HUD1/HPBar)
-		{	
-    		    	border_size 1 1 1 1
-        		border_material Core/StatsBlockBorder
-        		border_topleft_uv     0.0000 1.0000 0.0039 0.9961
-	    		border_top_uv         0.0039 1.0000 0.9961 0.9961
-	    		border_topright_uv    0.9961 1.0000 1.0000 0.9961
-	    		border_left_uv        0.0000 0.9961 0.0039 0.0039
-	    		border_right_uv       0.9961 0.9961 1.0000 0.0039
-	    		border_bottomleft_uv  0.0000 0.0039 0.0039 0.0000
-        		border_bottom_uv      0.0039 0.0039 0.9961 0.0000
-	    		border_bottomright_uv 0.9961 0.0039 1.0000 0.0000
-			metrics_mode pixels
-			horz_align left
-			vert_align top
-			top 25
-			left 140
-			width 100
-			height 15
-			material Orxonox/Red
-		}
-
-		element TextArea(Orxonox/HUD1/HPText)
-		{
-			metrics_mode pixels
-			horz_align left
-			left 140
-			top 10
-			width 100
-			height 15
-			font_name BlueHighway
-			char_height 15
-			caption 1000/1000
-			colour 1 1 1 
-		}
-
-		container Panel(Orxonox/HUD1/Shot1)
-		{	
-			metrics_mode pixels
-			horz_align left
-			vert_align top
-			top 55
-			left 110
-			width 30
-			height 25
-			material Orxonox/Shot
-		}
-
-		container Panel(Orxonox/HUD1/Shot2)
-		{	
-			metrics_mode pixels
-			horz_align left
-			vert_align top
-			top 55
-			left 160
-			width 30
-			height 25
-			material Orxonox/Shot
-		}
-		
-		container Panel(Orxonox/HUD1/Shot3)
-		{	
-			metrics_mode pixels
-			horz_align left
-			vert_align top
-			top 55
-			left 210
-			width 30
-			height 25
-			material Orxonox/Shot
-		}
-
-
-		
-
-	}
-}
Index: code/branches/FICN/Media/overlay/OrxonoxHUD1.1.overlay
===================================================================
--- code/branches/FICN/Media/overlay/OrxonoxHUD1.1.overlay	(revision 578)
+++ 	(revision )
@@ -1,153 +1,0 @@
-Orxonox/HUD1.1
-{
-	zorder 500
-	// Stats block
-	container BorderPanel(Orxonox/HUD1.1/Time)
-	{
-		metrics_mode pixels
-		vert_align top
-		horz_align center
-		left -140
-		top 10
-		width 280
-		height 60
-		material Orxonox/BackGround
-        	border_size 1 1 1 1
-        	border_material Orxonox/Black
-        	border_topleft_uv     0.0000 1.0000 0.0039 0.9961
-	    	border_top_uv         0.0039 1.0000 0.9961 0.9961
-	    	border_topright_uv    0.9961 1.0000 1.0000 0.9961
-	    	border_left_uv        0.0000 0.9961 0.0039 0.0039
-	    	border_right_uv       0.9961 0.9961 1.0000 0.0039
-	    	border_bottomleft_uv  0.0000 0.0039 0.0039 0.0000
-        	border_bottom_uv      0.0039 0.0039 0.9961 0.0000
-	    	border_bottomright_uv 0.9961 0.0039 1.0000 0.0000
-	
-		element Panel(Orxonox/HUD1.1/TimeImg)
-		{
-			metrics_mode pixels
-			left 0
-			top 0
-			width 60
-			height 60
-			material Orxonox/Clock
-		}
-
-		element Panel(Orxonox/HUD1.1/TimeLine)
-		{
-			metrics_mode pixels
-			left 60
-			top 0
-			width 2
-			height 60
-			material Orxonox/Black
-		}		
-		
-
-	}
-
-	container BorderPanel(Orxonox/HUD1.1/Ammo)
-	{
-		metrics_mode pixels
-		vert_align bottom
-		horz_align left
-		left 10
-		top -70
-		width 180
-		height 60
-		material Orxonox/BackGround
-        	border_size 1 1 1 1
-        	border_material Orxonox/Black
-        	border_topleft_uv     0.0000 1.0000 0.0039 0.9961
-	    	border_top_uv         0.0039 1.0000 0.9961 0.9961
-	    	border_topright_uv    0.9961 1.0000 1.0000 0.9961
-	    	border_left_uv        0.0000 0.9961 0.0039 0.0039
-	    	border_right_uv       0.9961 0.9961 1.0000 0.0039
-	    	border_bottomleft_uv  0.0000 0.0039 0.0039 0.0000
-        	border_bottom_uv      0.0039 0.0039 0.9961 0.0000
-	    	border_bottomright_uv 0.9961 0.0039 1.0000 0.0000
-	
-		element Panel(Orxonox/HUD1.1/AmmoImg)
-		{
-			metrics_mode pixels
-			left 0
-			top 0
-			width 60
-			height 60
-			material Orxonox/Gun
-		}
-
-		element Panel(Orxonox/HUD1.1/AmmoLine)
-		{
-			metrics_mode pixels
-			left 60
-			top 0
-			width 2
-			height 60
-			material Orxonox/Black
-		}		
-		
-
-	}
-
-	container BorderPanel(Orxonox/HUD1.1/Life)
-	{
-		metrics_mode pixels
-		vert_align bottom
-		horz_align center
-		left -90
-		top -70
-		width 180
-		height 60
-		material Orxonox/BackGround
-        	border_size 1 1 1 1
-        	border_material Orxonox/Black
-        	border_topleft_uv     0.0000 1.0000 0.0039 0.9961
-	    	border_top_uv         0.0039 1.0000 0.9961 0.9961
-	    	border_topright_uv    0.9961 1.0000 1.0000 0.9961
-	    	border_left_uv        0.0000 0.9961 0.0039 0.0039
-	    	border_right_uv       0.9961 0.9961 1.0000 0.0039
-	    	border_bottomleft_uv  0.0000 0.0039 0.0039 0.0000
-        	border_bottom_uv      0.0039 0.0039 0.9961 0.0000
-	    	border_bottomright_uv 0.9961 0.0039 1.0000 0.0000
-	
-		element Panel(Orxonox/HUD1.1/LifeImg)
-		{
-			metrics_mode pixels
-			left 0
-			top 0
-			width 60
-			height 60
-			material Orxonox/Man
-		}
-
-		element Panel(Orxonox/HUD1.1/LifeLine)
-		{
-			metrics_mode pixels
-			left 60
-			top 0
-			width 2
-			height 60
-			material Orxonox/Black
-		}	
-		
-
-	}
-
-
-
-	container BorderPanel(Orxonox/HUD1.1/MapBackGround)
-	{
-		metrics_mode pixels
-		vert_align bottom
-		horz_align right
-		left -210
-		top -210
-		width 200
-		height 200
-		material Orxonox/MapBackGround
-		
-		
-
-	}
-}
Index: code/branches/FICN/Media/overlay/OrxonoxHUD1.2.overlay
===================================================================
--- code/branches/FICN/Media/overlay/OrxonoxHUD1.2.overlay	(revision 578)
+++ code/branches/FICN/Media/overlay/OrxonoxHUD1.2.overlay	(revision 588)
@@ -32,5 +32,5 @@
 		material Orxonox/MyShip
 		
-		container Panel(Orxonox/HUD1.2/ShildLeftTop)
+		container Panel(Orxonox/HUD1.2/shieldLeftTop)
 		{
 			metrics_mode pixels
@@ -39,8 +39,8 @@
 			width 30
 			height 30
-			material Orxonox/ShildLeftTop
-		}
-
-		container Panel(Orxonox/HUD1.2/ShildRightTop)
+			material Orxonox/shieldLeftTop
+		}
+
+		container Panel(Orxonox/HUD1.2/shieldRightTop)
 		{
 			metrics_mode pixels
@@ -50,8 +50,8 @@
 			width 30
 			height 30
-			material Orxonox/ShildRightTop
-		}
-
-		container Panel(Orxonox/HUD1.2/ShildLeftBottom)
+			material Orxonox/shieldRightTop
+		}
+
+		container Panel(Orxonox/HUD1.2/shieldLeftBottom)
 		{
 			metrics_mode pixels
@@ -61,8 +61,8 @@
 			width 30
 			height 30
-			material Orxonox/ShildLeftBottom
-		}
-
-		container Panel(Orxonox/HUD1.2/ShildRightBottom)
+			material Orxonox/shieldLeftBottom
+		}
+
+		container Panel(Orxonox/HUD1.2/shieldRightBottom)
 		{
 			metrics_mode pixels
@@ -73,5 +73,5 @@
 			width 30
 			height 30
-			material Orxonox/ShildRightBottom
+			material Orxonox/shieldRightBottom
 		}
 		