Index: /code/branches/FICN/src/orxonox/objects/Mesh.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/Mesh.cc	(revision 588)
+++ /code/branches/FICN/src/orxonox/objects/Mesh.cc	(revision 589)
@@ -13,15 +13,9 @@
     }
 
-    Mesh::Mesh(const std::string& file)
+    void Mesh::setMesh(const std::string& file)
     {
-        std::cout << "Mesh: 1\n";
         std::ostringstream name;
-        std::cout << "Mesh: 2\n";
         name << (Mesh::meshCounter_s++);
-        std::cout << "Mesh: 3, entity before creation: " << this->entity_ << "\n";
-        std::cout << ("Mesh: name: Mesh" + name.str()) << std::endl;
-        std::cout << "Mesh: file: " << file << std::endl;
         this->entity_ = Orxonox::getSingleton()->getSceneManager()->createEntity("Mesh" + name.str() + "gugus", file);
-        std::cout << "Mesh: 4, entity after creation: " << this->entity_ << "\n";
     }
 
Index: /code/branches/FICN/src/orxonox/objects/Mesh.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/Mesh.h	(revision 588)
+++ /code/branches/FICN/src/orxonox/objects/Mesh.h	(revision 589)
@@ -12,8 +12,12 @@
         public:
             Mesh();
-            Mesh(const std::string& file);
             ~Mesh();
+            void setMesh(const std::string& file);
+
             inline Ogre::Entity* getEntity()
                 { return this->entity_; }
+
+            inline const std::string& getName() const
+                { return this->entity_->getName(); }
 
         private:
Index: /code/branches/FICN/src/orxonox/objects/Model.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/Model.cc	(revision 588)
+++ /code/branches/FICN/src/orxonox/objects/Model.cc	(revision 589)
@@ -23,34 +23,12 @@
     void Model::loadParams(TiXmlElement* xmlElem)
     {
-std::cout << "### START PARSING MODEL" << std::endl;
         WorldEntity::loadParams(xmlElem);
 
-
-std::cout << "Model: 1\n";
     	if (xmlElem->Attribute("mesh"))
     	{
-std::cout << "Model: 2_1\n";
     		std::string src = xmlElem->Attribute("mesh");
-std::cout << "Model: 2_2\n";
-std::cout << "Model: mesh before creation: " << &this->mesh_ << std::endl;
-std::cout << "Model: entity before creation: " << this->mesh_.getEntity() << std::endl;
-    		this->mesh_ = Mesh(src);
-std::cout << "Model: 2_3\n";
-std::cout << "Model: entity after creation: " << this->mesh_.getEntity() << std::endl;
-std::cout << "Model: mesh after creation: " << &this->mesh_ << std::endl;
-std::cout << "Model: node: " << this->getNode() << std::endl;
-
-//Entity *ent2 = Orxonox::getSingleton()->getSceneManager()->createEntity( "Robot2", "ogrehead.mesh" );
-//SceneNode *node2 = mSceneMgr->getRootSceneNode()->createChildSceneNode( "RobotNode2", Vector3( 50, 0, 0 ) );
-//node2->attachObject( ent2 );
-//this->attachObject( ent2 );
-//node2->attachObject( this->mesh_.getEntity() );
-this->attachObject( this->mesh_.getEntity() );
-
-//		    this->attachObject(this->mesh_.getEntity());
-std::cout << "Model: 2_4\n";
+    		this->mesh_.setMesh(src);
+		    this->attachObject(this->mesh_.getEntity());
         }
-std::cout << "Model: 3\n";
-std::cout << "### FINISHED PARSING MODEL" << std::endl;
 
         COUT(4) << "Loader: Created model" << std::endl;
Index: /code/branches/FICN/src/orxonox/objects/WorldEntity.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 588)
+++ /code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 589)
@@ -46,15 +46,11 @@
         RegisterObject(WorldEntity);
 
-        std::cout << "WE: const: 1_1\n";
         if (Orxonox::getSingleton()->getSceneManager())
         {
-        std::cout << "WE: const: 1_2\n";
             std::ostringstream name;
             name << (WorldEntity::worldEntityCounter_s++);
             this->setName("WorldEntity" + name.str());
             node_ = Orxonox::getSingleton()->getSceneManager()->getRootSceneNode()->createChildSceneNode(this->getName());
-            std::cout << "WE: const: name: " << this->getName() << ", node: " << this->node_ << std::endl;
         }
-        std::cout << "WE: const: 1_3\n";
 
         this->bStatic_ = true;
@@ -84,17 +80,13 @@
     void WorldEntity::loadParams(TiXmlElement* xmlElem)
     {
-std::cout << "### START PARSING WE" << std::endl;
         BaseObject::loadParams(xmlElem);
 
-        std::cout << "WE: 1\n";
     	if (xmlElem->Attribute("name"))
     	{
-        std::cout << "WE: 2\n";
     		this->setName(xmlElem->Attribute("mesh"));
     	}
-        std::cout << "WE: 3\n";
+
     	if (xmlElem->Attribute("position"))
     	{
-        std::cout << "WE: 4\n";
 	    	std::vector<std::string> pos = tokenize(xmlElem->Attribute("position"),",");
 	    	float x, y, z;
@@ -104,8 +96,7 @@
 	    	this->setPosition(x, y, z);
     	}
-        std::cout << "WE: 5\n";
+
     	if (xmlElem->Attribute("direction"))
     	{
-        std::cout << "WE: 6\n";
 	    	std::vector<std::string> pos = tokenize(xmlElem->Attribute("direction"),",");
 	    	float x, y, z;
@@ -115,8 +106,7 @@
 	    	this->setDirection(x, y, z);
     	}
-        std::cout << "WE: 7\n";
+
     	if (xmlElem->Attribute("scale"))
     	{
-        std::cout << "WE: 8\n";
 		    std::string scaleStr = xmlElem->Attribute("scale");
 		    float scale;
@@ -124,6 +114,4 @@
 		    this->setScale(scale);
     	}
-        std::cout << "WE: 9\n";
-std::cout << "### FINISHED PARSING WE" << std::endl;
     }
 
Index: /code/branches/FICN/src/orxonox/objects/WorldEntity.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 588)
+++ /code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 589)
@@ -78,7 +78,7 @@
 
       inline void attachObject(Ogre::MovableObject *obj)
-        { std::cout << "gux_1 " << this->node_ << " " << obj << "\n"; this->node_->attachObject(obj); std::cout << "gux_2\n"; }
+        { this->node_->attachObject(obj); }
       inline void attachObject(Mesh &mesh)
-        { std::cout << "gux_3 " << this->node_ << " " << &mesh << " " << mesh.getEntity() << "\n"; this->node_->attachObject(mesh.getEntity()); std::cout << "gux_4\n"; }
+        { this->node_->attachObject(mesh.getEntity()); }
       inline void detachObject(Ogre::MovableObject *obj)
         { this->node_->detachObject(obj); }