Index: code/branches/FICN/Media/particle/engineglow.particle
===================================================================
--- code/branches/FICN/Media/particle/engineglow.particle	(revision 592)
+++ code/branches/FICN/Media/particle/engineglow.particle	(revision 592)
@@ -0,0 +1,40 @@
+
+Orxonox/engineglow
+{
+	quota	200
+	material	PE/bigFlame
+	particle_width	12
+	particle_height	12
+	cull_each	false
+	renderer	billboard
+	billboard_type	point
+
+	emitter HollowEllipsoid
+	{
+		angle	0
+		colour	0.46875 0.8125 0.93359375 1
+		colour_range_start	.6640625 .91796875 .92578125 1
+		colour_range_end	.08203125 .7578125 .98046875 1
+		direction	0 1 0
+		emission_rate	45
+		position	0 0 0
+		velocity	5
+		velocity_min	4
+		velocity_max	6
+		time_to_live	0.5
+		time_to_live_min	0.2
+		time_to_live_max	0.9
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		width	4
+		height	2.5
+		depth	1.3
+		inner_width	0.5
+		inner_height	0.3
+		inner_depth	0.2
+	}
+}
Index: code/branches/FICN/bin/levels/sample.oxw
===================================================================
--- code/branches/FICN/bin/levels/sample.oxw	(revision 591)
+++ code/branches/FICN/bin/levels/sample.oxw	(revision 592)
@@ -9,4 +9,5 @@
     <bar top="200" left="50" width="300" height="20" image="textures/load_screens/ambush-loadbar.png" />
   </loading>
+
 
 
@@ -29,4 +30,5 @@
     <Skybox src="Orxonox/StarfieldSkyBox" />
 
+
     <SceneNode name="ShipNode" pos="0,0,0" node="OgreHeadNode" scale="10,10,10" yaw="-90" pitch="-90" />
     <BaseEntity name="TheShip" src="assf2.mesh" node="ShipNode" />
@@ -38,4 +40,12 @@
     <BaseEntity name="TheShip3" src="assf2.mesh" node="ShipNode3" />
 
+<<<<<<< .mine
+
+    <SceneNode name="node1" pos="0,2000,0"  scale="40,40,40" />
+    <Entity name="asteroid1" src="ast1.mesh" node="node1" />
+
+    <SceneNode name="node2" pos="2000,0,0" scale="20,20,20"/>
+    <Entity name="asteroid2" src="ast2.mesh" node="node2" />
+=======
     <Model position="0,2000,0" scale="40" mesh="ast1.mesh" />
     <Model position="2000,0,0" scale="20" mesh="ast2.mesh" />
@@ -45,5 +55,25 @@
     <Model position="0,0,-2000" scale="20" mesh="ast6.mesh" />
     <Model position="1000,1500,0" scale="50" mesh="ast1.mesh" />
+>>>>>>> .r591
 
+<<<<<<< .mine
+    <SceneNode name="node3" pos="0,0,2000" scale="20,20,20"/>
+    <Entity name="aststeroid3" src="ast3.mesh" node="node3"/>
+
+    <SceneNode name="node4" pos="0,-2000,0" scale="20,20,20"/>
+    <Entity name="asteroid4" src="ast4.mesh" node="node4" />
+
+    <SceneNode name="node5" pos="-2000,0,0" scale="20,20,20"/>
+    <Entity name="asteroid5" src="ast5.mesh" node="node5" />
+
+    <SceneNode name="node6" pos="0,0,-2000" scale="20,20,20"/>
+    <Entity name="asteroid6" src="ast6.mesh" node="node6" />
+
+    <SceneNode name="node7" pos="1000,1500,0"  scale="50,50,50" />
+    <Entity name="asteroid7" src="ast1.mesh" node="node7" />
+
+
+=======
+>>>>>>> .r591
   </world>
 
Index: code/branches/FICN/src/misc/String2Number.h
===================================================================
--- code/branches/FICN/src/misc/String2Number.h	(revision 591)
+++ code/branches/FICN/src/misc/String2Number.h	(revision 592)
@@ -15,5 +15,5 @@
 * Number in string can be decimal, hexadecimal or octal
 *
-* @autor Nicolas Perrenoud<nicolape@ee.ethz.ch>
+* @author Nicolas Perrenoud<nicolape@ee.ethz.ch>
 *
 * @example
Index: code/branches/FICN/src/misc/Tokenizer.h
===================================================================
--- code/branches/FICN/src/misc/Tokenizer.h	(revision 591)
+++ code/branches/FICN/src/misc/Tokenizer.h	(revision 592)
@@ -12,5 +12,5 @@
 * Returns the result as a vector<string> object
 *
-* @autor Nicolas Perrenoud<nicolape@ee.ethz.ch>
+* @author Nicolas Perrenoud<nicolape@ee.ethz.ch>
 */
 
@@ -18,5 +18,5 @@
 {
 	vector<std::string> tokens;
-	
+
   // Skip delimiters at beginning.
   std::string::size_type lastPos = str.find_first_not_of(delimiters, 0);
@@ -32,6 +32,6 @@
       // Find next "non-delimiter"
       pos = str.find_first_of(delimiters, lastPos);
-  }	
-  return tokens;    
+  }
+  return tokens;
 }
 
Index: code/branches/FICN/src/network/CMakeLists.txt
===================================================================
--- code/branches/FICN/src/network/CMakeLists.txt	(revision 591)
+++ code/branches/FICN/src/network/CMakeLists.txt	(revision 592)
@@ -71,5 +71,5 @@
   #objects
   ${ENet_LIBRARY}
-  ${Zlib_LIBRARY}
+  ${ZLIB_LIBRARY}
   ${WINDOWS_ENET_DEPENDENCIES}
 )
@@ -82,5 +82,5 @@
   #objects
   ${ENet_LIBRARY}
-  ${Zlib_LIBRARY}
+  ${ZLIB_LIBRARY}
   ${WINDOWS_ENET_DEPENDENCIES}
 )
Index: code/branches/FICN/src/network/PacketTypes.h
===================================================================
--- code/branches/FICN/src/network/PacketTypes.h	(revision 591)
+++ code/branches/FICN/src/network/PacketTypes.h	(revision 592)
@@ -2,5 +2,5 @@
 // C++ Interface: PacketTypes
 //
-// Description: 
+// Description:
 //
 //
@@ -25,30 +25,30 @@
 
 
-/**
- * This struct defines a gamestate:
- * size: total size of the data in *data
- * data: pointer to the data allocated in the memory
- */
+  /**
+   * This struct defines a gamestate:
+   * size: total size of the data in *data
+   * data: pointer to the data allocated in the memory
+   */
   struct GameState{
     int id;
-    int size;
+    int size;                       //!< total size of data
     // new ---- change functions
     bool diffed;
-    unsigned char *data;
+    unsigned char *data;            //!< pointer to data
   };
 
-/**
- * this struct defines a gamestate:
+  /**
+   * this struct defines a gamestate:
    * compsize is the size of the compressed data
    * normsize is the size of the uncompressed data
    * data are the gamestates
- */
+   */
   struct GameStateCompressed{
-    int id; 
-    int compsize;
-    int normsize;
+    int id;
+    int compsize;                   //!< size of compressed data
+    int normsize;                   //!< size of uncompressed data
     // new ----- change functions
     bool diffed;
-    unsigned char *data;
+    unsigned char *data;            //!< gamestate data
   };
 
@@ -59,6 +59,6 @@
     const char *message;
   };
-  
-  
+
+
   struct ack {
     int id;
Index: code/branches/FICN/src/network/Synchronisable.cc
===================================================================
--- code/branches/FICN/src/network/Synchronisable.cc	(revision 591)
+++ code/branches/FICN/src/network/Synchronisable.cc	(revision 592)
@@ -116,4 +116,5 @@
   for(i=syncList.begin(); n<datasize && i!=syncList.end(); ++i){
     COUT(2) << "size of variable: " << i->size << std::endl;
+    COUT(2) << "size of variable: " << i->size << std::endl;
     //COUT(2) << "size of variable: " << i->size << std::endl;
     //(std::memcpy(retVal.data+n, (const void*)(&(i->size)), sizeof(int));
Index: code/branches/FICN/src/orxonox/core/ConfigValueContainer.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/ConfigValueContainer.cc	(revision 591)
+++ code/branches/FICN/src/orxonox/core/ConfigValueContainer.cc	(revision 592)
@@ -654,7 +654,7 @@
 
     /**
-        @param Writes the content of the list, containing all lines of the config-file, into the config-file.
-        @param filename The name of the config-file
-    */
+     *  @param Writes the content of the list, containing all lines of the config-file, into the config-file.
+     *  @param filename The name of the config-file
+     */
     void ConfigValueContainer::writeConfigFile(const std::string& filename)
     {
Index: code/branches/FICN/src/orxonox/core/Identifier.h
===================================================================
--- code/branches/FICN/src/orxonox/core/Identifier.h	(revision 591)
+++ code/branches/FICN/src/orxonox/core/Identifier.h	(revision 592)
@@ -67,5 +67,7 @@
 
         public:
-            /** @brief Sets the Factory. @param facotry The factory to assign */
+            /** @brief Sets the Factory.
+             *  @param factory The factory to assign
+             */
             inline void addFactory(BaseFactory* factory) { this->factory_ = factory; }
 
Index: code/branches/FICN/src/orxonox/orxonox.cc
===================================================================
--- code/branches/FICN/src/orxonox/orxonox.cc	(revision 591)
+++ code/branches/FICN/src/orxonox/orxonox.cc	(revision 592)
@@ -467,5 +467,5 @@
     particle::ParticleInterface *e = new particle::ParticleInterface(mgr,"engine","Orxonox/strahl");
     e->particleSystem_->setParameter("local_space","true");
-    e->setPositionOfEmitter(0, Vector3(0,-10,200));
+    e->setPositionOfEmitter(0, Vector3(0,-10,0));
     e->setDirection(Vector3(0,0,-1));
     e->addToSceneNode(node);
@@ -480,12 +480,11 @@
     w->addToSceneNode(node);
 
-    particle::ParticleInterface *tt = new particle::ParticleInterface(mgr,"thrusters","Orxonox/treibwerk");
+    particle::ParticleInterface *tt = new particle::ParticleInterface(mgr,"twinthruster","Orxonox/engineglow");
     tt->particleSystem_->setParameter("local_space","true");
     tt->newEmitter();
-    tt->setDirection(Vector3(0,0,1));
-    tt->setPositionOfEmitter(0, Vector3(15,0,-60));
-    tt->setPositionOfEmitter(1, Vector3(-15,0,-60));
+    tt->setDirection(Vector3(0,0,-1));
+    tt->setPositionOfEmitter(0, Vector3(20,-1,-15));
+    tt->setPositionOfEmitter(1, Vector3(-20,-1,-15));
     tt->addToSceneNode(node);
-
 
   }
Index: code/branches/FICN/src/orxonox/orxonox_ship.h
===================================================================
--- code/branches/FICN/src/orxonox/orxonox_ship.h	(revision 591)
+++ code/branches/FICN/src/orxonox/orxonox_ship.h	(revision 592)
@@ -41,13 +41,13 @@
   public:
     OrxonoxShip(Ogre::SceneNode*);
-	  virtual ~OrxonoxShip();
+    virtual ~OrxonoxShip();
 
-	  virtual bool initialise();
+    virtual bool initialise();
 
-	  void setMainThrust(const Ogre::Real);
-	  void setSideThrust(const Ogre::Real);
+    void setMainThrust(const Ogre::Real);
+    void setSideThrust(const Ogre::Real);
     void setYThrust(const Ogre::Real);
-	  void turnUpAndDown(const Ogre::Radian&);
-	  void turnLeftAndRight(const Ogre::Radian&);
+    void turnUpAndDown(const Ogre::Radian&);
+    void turnLeftAndRight(const Ogre::Radian&);
 
     InertialNode* getRootNode();
@@ -58,21 +58,21 @@
     int getAmmoStock();
 
-	  bool tick(unsigned long, Ogre::Real);
+    bool tick(unsigned long, Ogre::Real);
 
   protected:
 
   protected:
-	  Ogre::SceneManager *sceneMgr_;
-	  //Ogre::SceneNode *rootNode_;
+    Ogre::SceneManager *sceneMgr_;
+    //Ogre::SceneNode *rootNode_;
     InertialNode *rootNode_;
-	  Ogre::Entity *shipEntity_;
+    Ogre::Entity *shipEntity_;
 
-	  //Ogre::Vector3 currentSpeed_;  // relative to space
-	  Ogre::Vector3 currentThrust_; // relative to the ship
+    //Ogre::Vector3 currentSpeed_;  // relative to space
+    Ogre::Vector3 currentThrust_; // relative to the ship
     Ogre::Real baseThrust_;
-	  int objectCounter_;
+    int objectCounter_;
 
     weapon::BulletManager *bulletManager_;
-	  //Ogre::Vector3 bulletSpeed_;
+    //Ogre::Vector3 bulletSpeed_;
 
     weapon::BaseWeapon *mainWeapon_;
Index: code/branches/FICN/src/orxonox/particle/ParticleInterface.cc
===================================================================
--- code/branches/FICN/src/orxonox/particle/ParticleInterface.cc	(revision 591)
+++ code/branches/FICN/src/orxonox/particle/ParticleInterface.cc	(revision 592)
@@ -37,146 +37,146 @@
 namespace particle {
 
-	ParticleInterface::~ParticleInterface(void)
-	{
-		sceneManager_->destroyParticleSystem(particleSystem_);
+  ParticleInterface::~ParticleInterface(void)
+  {
+    sceneManager_->destroyParticleSystem(particleSystem_);
 
-		delete sceneNode_;
-		delete particleSystem_;
-		delete sceneManager_;
-	}
+    delete sceneNode_;
+    delete particleSystem_;
+    delete sceneManager_;
+  }
 
-	ParticleInterface::ParticleInterface( SceneManager *sceneManager, String name, String templateName )
-	{
-		sceneManager_ = sceneManager;
-		particleSystem_ = sceneManager->createParticleSystem(name, templateName);
+  ParticleInterface::ParticleInterface( SceneManager *sceneManager, String name, String templateName )
+  {
+    sceneManager_ = sceneManager;
+    particleSystem_ = sceneManager->createParticleSystem(name, templateName);
 
-		//Variabeln einlesen, Emitter1_ ist Referenz-Emitter
-		velocity_ = particleSystem_->getSpeedFactor();
-		colour_ = particleSystem_->getEmitter(0)->getColour();
-		rate_ = particleSystem_->getEmitter(0)->getEmissionRate();
-		distance_ = particleSystem_->getEmitter(0)->getTimeToLive();
+    //Variabeln einlesen, Emitter1_ ist Referenz-Emitter
+    velocity_ = particleSystem_->getSpeedFactor();
+    colour_ = particleSystem_->getEmitter(0)->getColour();
+    rate_ = particleSystem_->getEmitter(0)->getEmissionRate();
+    distance_ = particleSystem_->getEmitter(0)->getTimeToLive();
 
-		//Anzahl der Emitter
-		numberOfEmitters_ = particleSystem_->getNumEmitters();
-		standardizeEmitters();
-	}
+    //Anzahl der Emitter
+    numberOfEmitters_ = particleSystem_->getNumEmitters();
+    standardizeEmitters();
+  }
 
-	void ParticleInterface::standardizeEmitters(void)
-	{
-		//Abgleichen der anderen Emitter an die Variabeln
-		for (int i=1; i<numberOfEmitters_; i++) {
-			particleSystem_->getEmitter(i)->setColour( colour_ );
-			particleSystem_->getEmitter(i)->setTimeToLive( distance_ );
-			particleSystem_->getEmitter(i)->setEmissionRate( rate_ );
-		}
+  void ParticleInterface::standardizeEmitters(void)
+  {
+    //Abgleichen der anderen Emitter an die Variabeln
+    for (int i=1; i<numberOfEmitters_; i++) {
+      particleSystem_->getEmitter(i)->setColour( colour_ );
+      particleSystem_->getEmitter(i)->setTimeToLive( distance_ );
+      particleSystem_->getEmitter(i)->setEmissionRate( rate_ );
+    }
 
-	}
+  }
 
-	void ParticleInterface::addToSceneNode( SceneNode* sceneNode )
-	{
-		sceneNode_ = sceneNode;
-		sceneNode_->attachObject(particleSystem_);
-	}
+  void ParticleInterface::addToSceneNode( SceneNode* sceneNode )
+  {
+    sceneNode_ = sceneNode;
+    sceneNode_->attachObject(particleSystem_);
+  }
 
-	void ParticleInterface::dettachFromSceneNode ( void )
-	{
-		sceneNode_->detachObject(particleSystem_);
-		sceneNode_ = NULL;
-	}
+  void ParticleInterface::dettachFromSceneNode ( void )
+  {
+    sceneNode_->detachObject(particleSystem_);
+    sceneNode_ = NULL;
+  }
 
-	Real ParticleInterface::getVelocity()
-	{
-		return velocity_;
-	}
+  Real ParticleInterface::getVelocity()
+  {
+    return velocity_;
+  }
 
-	void ParticleInterface::setVelocity(Real v)
-	{
-		velocity_ = v;
-		//partikel anpassen
-		particleSystem_->setSpeedFactor(v);
-	}
+  void ParticleInterface::setVelocity(Real v)
+  {
+    velocity_ = v;
+    //partikel anpassen
+    particleSystem_->setSpeedFactor(v);
+  }
 
-	int ParticleInterface::getRate()
-	{
-		return rate_;
-	}
-	void ParticleInterface::setRate(int r)
-	{
-		rate_ = r;
-		//partikel anpassen
-		for (int i=0; i<numberOfEmitters_; i++) {
-			particleSystem_->getEmitter(i)->setEmissionRate(rate_);
-		}
-	}
+  int ParticleInterface::getRate()
+  {
+    return rate_;
+  }
+  void ParticleInterface::setRate(int r)
+  {
+    rate_ = r;
+    //partikel anpassen
+    for (int i=0; i<numberOfEmitters_; i++) {
+      particleSystem_->getEmitter(i)->setEmissionRate(rate_);
+    }
+  }
 
-	Real ParticleInterface::getDistance()
-	{
-		return distance_;
-	}
+  Real ParticleInterface::getDistance()
+  {
+    return distance_;
+  }
 
-	void ParticleInterface::setDistance(Real d)
-	{
-		distance_ = d;
-		//partikel anpassen
-		for (int i=0; i<numberOfEmitters_; i++) {
-			particleSystem_->getEmitter(i)->setTimeToLive(distance_);
-		}
-	}
-	ColourValue ParticleInterface::getColour()
-	{
-		return colour_;
-	}
+  void ParticleInterface::setDistance(Real d)
+  {
+    distance_ = d;
+    //partikel anpassen
+    for (int i=0; i<numberOfEmitters_; i++) {
+      particleSystem_->getEmitter(i)->setTimeToLive(distance_);
+    }
+  }
+  ColourValue ParticleInterface::getColour()
+  {
+    return colour_;
+  }
 
-	void ParticleInterface::setColour(ColourValue colour)
-	{
-		colour_ = colour;
-		//partikel anpassen
-		for (int i=0; i<numberOfEmitters_; i++) {
-			particleSystem_->getEmitter(i)->setColour(colour_);
-		}
-	}
+  void ParticleInterface::setColour(ColourValue colour)
+  {
+    colour_ = colour;
+    //partikel anpassen
+    for (int i=0; i<numberOfEmitters_; i++) {
+      particleSystem_->getEmitter(i)->setColour(colour_);
+    }
+  }
 
-	ParticleEmitter* ParticleInterface::getEmitter( int emitterNr )
-	{
-		if (!(emitterNr<numberOfEmitters_)) return NULL;
-		return particleSystem_->getEmitter(emitterNr);
-	}
+  ParticleEmitter* ParticleInterface::getEmitter( int emitterNr )
+  {
+    if (!(emitterNr<numberOfEmitters_)) return NULL;
+    return particleSystem_->getEmitter(emitterNr);
+  }
 
-	void ParticleInterface::newEmitter ( void )
-	{
-		particleSystem_->addEmitter(particleSystem_->getEmitter(0)->getType());
-		numberOfEmitters_=numberOfEmitters_+1;
-		particleSystem_->getEmitter(0)->copyParametersTo( particleSystem_->getEmitter(numberOfEmitters_-1) );
-	}
+  void ParticleInterface::newEmitter ( void )
+  {
+    particleSystem_->addEmitter(particleSystem_->getEmitter(0)->getType());
+    numberOfEmitters_=numberOfEmitters_+1;
+    particleSystem_->getEmitter(0)->copyParametersTo( particleSystem_->getEmitter(numberOfEmitters_-1) );
+  }
 
-	void ParticleInterface::setPositionOfEmitter ( int emitterNr, Vector3 position )
-	{
-		particleSystem_->getEmitter(emitterNr)->setPosition(position);
-	}
+  void ParticleInterface::setPositionOfEmitter ( int emitterNr, Vector3 position )
+  {
+    particleSystem_->getEmitter(emitterNr)->setPosition(position);
+  }
 
-	Vector3 ParticleInterface::getPositionOfEmitter ( int emitterNr )
-	{
-		return particleSystem_->getEmitter(0)->getPosition();
-	}
+  Vector3 ParticleInterface::getPositionOfEmitter ( int emitterNr )
+  {
+    return particleSystem_->getEmitter(0)->getPosition();
+  }
 
-	void ParticleInterface::setDirection ( Vector3 direction )
-	{
-		for(int i=0; i<numberOfEmitters_; i++) {
-			particleSystem_->getEmitter(i)->setDirection(direction);
-		}
-	}
+  void ParticleInterface::setDirection ( Vector3 direction )
+  {
+    for(int i=0; i<numberOfEmitters_; i++) {
+      particleSystem_->getEmitter(i)->setDirection(direction);
+    }
+  }
 
 
-	Vector3 ParticleInterface::getDirection ( void )
-	{
-		return particleSystem_->getEmitter(0)->getDirection();
-	}
+  Vector3 ParticleInterface::getDirection ( void )
+  {
+    return particleSystem_->getEmitter(0)->getDirection();
+  }
 
-	void ParticleInterface::switchEnable(){
-		bool enable=(!(particleSystem_->getEmitter(0)->getEnabled()));
-		for(int i=0; i<numberOfEmitters_; i++) {
-			particleSystem_->getEmitter(i)->setEnabled(enable);
-		}
-	}
+  void ParticleInterface::switchEnable(){
+    bool enable=(!(particleSystem_->getEmitter(0)->getEnabled()));
+    for(int i=0; i<numberOfEmitters_; i++) {
+      particleSystem_->getEmitter(i)->setEnabled(enable);
+    }
+  }
 
 }
Index: code/branches/FICN/src/orxonox/run_manager.cc
===================================================================
--- code/branches/FICN/src/orxonox/run_manager.cc	(revision 591)
+++ code/branches/FICN/src/orxonox/run_manager.cc	(revision 592)
@@ -94,5 +94,5 @@
 
   /**
-  * @param ogre_ The OgreControl object holding the render window and the Root
+  * @param *ogre The OgreControl object holding the render window and the Root
   */
   void RunManager::initialise(OgreControl *ogre)